Battle ground image error

build in debian, waterpool imager error , and another bigger error too

Maybe this topic will help…

I use debian10 , and compiled vcmi with git develop branch.
It running well , but battle ground image error. as that picture

i think it has something wrong in code , it don’t compatible some newer version library.

Yeah, that’s why I pasted a link with @josch solutions how to solve such issues.

palette error

here is this mod without errors
WoG

Hosting provided by DigitalOcean